# -*- coding: utf-8 -*-
# $Id$
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone.utils import getFSVersionTuple

GS_INSTALL_PROFILE='profile-Products.Plone2Pdf:default'
GS_UNINSTALL_PROFILE='profile-Products.Plone2Pdf:uninstall'

GS_INSTALL_PROFILE_PLONE25='profile-Products.Plone2Pdf:plone25'



def install(self, reinstall=False):
    """ Install skin with GenericSetup install profile
    """

    ps = getToolByName(self, 'portal_setup')

    if getFSVersionTuple()[0]>=3:
       ps.runAllImportStepsFromProfile(GS_INSTALL_PROFILE,purge_old=False)
    else:
       plone_base_profileid = "profile-CMFPlone:plone"
       ps.setImportContext(plone_base_profileid)
       ps.setImportContext(GS_INSTALL_PROFILE_PLONE25)
       ps.runAllImportSteps(purge_old=False)
       ps.setImportContext(plone_base_profileid)
  

def uninstall(self, reinstall=False):
    """ Uninstall skin with GenericSetup uninstall profile
    """

    ps = getToolByName(self, 'portal_setup')

    if getFSVersionTuple()[0]>=3:
       ps.runAllImportStepsFromProfile(GS_UNINSTALL_PROFILE)
    else:
       plone_base_profileid = "profile-CMFPlone:plone"
       ps.setImportContext(plone_base_profileid)
       ps.setImportContext(GS_UNINSTALL_PROFILE)
       ps.runAllImportSteps(purge_old=False)
       ps.setImportContext(plone_base_profileid)    

    
