## Script (Python) "html2pdf"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=
##title=html2pdf
##

from Products.CMFCore.utils import getToolByName
from Products.CMFPlone import PloneMessageFactory as _

request=context.REQUEST

transformer = getToolByName(context, 'portal_transforms') 

add_link_list = False
if request:
   form = request.form
   if form and form.get('add_link_list',None):
      add_link_list = True

pdf = transformer.convertTo('application/pdf',
                            orig = context,
                            mimetype = 'text/html',
                            add_link_list=add_link_list,
                           )

if pdf: 
   if pdf.getData() and pdf.getData().startswith('%PDF-'):
      request.RESPONSE.setHeader('Content-type','application/pdf')
      request.RESPONSE.setHeader('Content-disposition','inline; filename="%s.pdf"' % (context.title_or_id()))
      return pdf

message = _(u'Error creating PDF file')
context.plone_utils.addPortalMessage(message,type='error') 
return state.set(context = context)

